class Transfer {
  final String fromAccount;
  final String toAccount;
  final String toAccountType;
  final String amount;
  String? tpin;

  Transfer({
    required this.fromAccount,
    required this.toAccount,
    required this.toAccountType,
    required this.amount,
    this.tpin,
  });

  Map<String, dynamic> toJson() {
    return {
      'fromAccount': fromAccount,
      'toAccount': toAccount,
      'toAccountType': toAccountType,
      'amount': amount,
      'tpin': tpin,
    };
  }
}

class TransferResponse {
  final String? status;
  final String? message;
  final String? error;

  TransferResponse({
    required this.status,
    required this.message,
    required this.error,
  });

  factory TransferResponse.fromJson(Map<String, dynamic> json) {
    return TransferResponse(
      status: json['status'] as String?,
      message: json['message'] as String?,
      error: json['error'] as String?,
    );
  }
}
